GETExport Addresses

Webhook APIhttps://web3.nodit.io/v1/arbitrum/mainnet/webhooks/1234567890/addresses/download

API for downloading the addresses monitored by an ADDRESS_ACTIVITY event type Webhook as a streamed CSV file.

The first line is the header address,createdAt, followed by lowercase address,registration time (ISO 8601) on each subsequent line. The parameters are the same as the address list query API, except there is no pagination.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

subscriptionIdstringrequired

Parameter that specifies the subscriptionId assigned to the ADDRESS_ACTIVITY Webhook.

Query Parameters
sortstring (enum)

Sort criteria. createdAt sorts by registration time, and address sorts alphabetically.

orderstring (enum)

Sort direction. Enter asc or desc. The default is asc.

searchstring

Address prefix matching. The entered address is normalized to lowercase for matching.

Responses
Headers
Content-Dispositionstring

Attachment file name.

예: attachment; filename="export-1234567890-addresses.csv"

X-API-KEY
Request
cURL
curl -X GET "https://web3.nodit.io/v1/arbitrum/mainnet/webhooks/1234567890/addresses/download?sort=createdAt&order=asc&search=0xabc" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Header · 200
{
  "Content-Disposition": "attachment; filename=\"export-1234567890-addresses.csv\""
}
Body · 200
"address,createdAt\n0xabc0000000000000000000000000000000000001,2026-07-01T00:00:00.000Z\n0xabc0000000000000000000000000000000000002,2026-07-01T00:00:01.000Z\n"